org.apache.thrift.protocol

## Class TMessageType

- java.lang.Object
- - org.apache.thrift.protocol.TMessageType

-     public final class TMessageType
      extends java.lang.Object

  Message type constants in the Thrift protocol.

- - ### Field Summary

    Fields
    Modifier and Type | Field and Description
    --- | ---
    `static byte` | `CALL`
    `static byte` | `EXCEPTION`
    `static byte` | `ONEWAY`
    `static byte` | `REPLY`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `TMessageType()`

  - ### Method Summary

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Field Detail

    - #### CALL

          public static final byte CALL

      See Also:
        Constant Field Values

    - #### REPLY

          public static final byte REPLY

      See Also:
        Constant Field Values

    - #### EXCEPTION

          public static final byte EXCEPTION

      See Also:
        Constant Field Values

    - #### ONEWAY

          public static final byte ONEWAY

      See Also:
        Constant Field Values

  - ### Constructor Detail

    - #### TMessageType

          public TMessageType()